
function AddonOnLoaded(eventCode, addonName)
	
	if addonName == "UltimatePowerDisplay" then
		UPD:SetParent(ActionButton8)
		UpdateLabels()
		
		EVENT_MANAGER:RegisterForEvent("UltimatePowerDisplay", EVENT_POWER_UPDATE, PowerUpdate)
		EVENT_MANAGER:RegisterForEvent("UltimatePowerDisplay", EVENT_ACTION_SLOT_UPDATED, SlotUpdate)

		end
	
end

function PowerUpdate(eventCode, unitTag, powerIndex, powerType, powerValue, powerMax, powerEffectiveMax)
	
	if  powerType == POWERTYPE_ULTIMATE then
		UpdateLabels()
	end
	
end

function SlotUpdate(eventCode, slotNum)
	
	if  slotNum == 8 then
		UpdateLabels()
	end
	
end

function UpdateLabels()
	
	local current = GetUnitPower("player", POWERTYPE_ULTIMATE)
	local required = GetSlotAbilityCost(8)
	
	if required > 0 then
		UPD_Ammount:SetText(string.format("%d / %d", current, required))
		UPD_Percentage:SetText(string.format("%d%%", 100 * current / required))
	else
		UPD_Ammount:SetText("")
		UPD_Percentage:SetText("")
	end
	
end

EVENT_MANAGER:RegisterForEvent("UltimatePowerDisplay", EVENT_ADD_ON_LOADED, AddonOnLoaded)





